View Issue Details

IDProjectCategoryView StatusLast Update
16850Bug reportsUser / Groups / Rolespublic2021-02-24 10:36
ReporterJmantysalo Assigned Toollehar  
PrioritylowSeveritytrivial 
Status closedResolutionfixed 
Product Version4.3.27 
Summary16850: Add survey permission to group: unordered list
DescriptionWhen adding permissions to a survey the list of user groups is unsorted.

Probably function getSurveyUserGroupList should have an "ORDER BY a.name" in the query.
TagsNo tags attached.
Complete LimeSurvey version number (& build)Versio 4.3.27+201116
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionN/A
Server OS (if known)
Webserver software & version (if known)
PHP VersionN/A

Activities

Jmantysalo

Jmantysalo

2020-12-02 20:27

reporter   ~60820

PR done.
guest

guest

2021-02-19 16:42

viewer   ~62423

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31144
lime_release_bot

lime_release_bot

2021-02-24 10:36

administrator   ~62478

Fixed in Release 4.4.10+210222

Related Changesets

LimeSurvey: master 622eee82

2021-02-19 16:42:48

Jmantysalo


Committer: GitHub Details Diff
Fixed issue 16850: Add survey permission to group: unordered list Affected Issues
16850
mod - application/helpers/common_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-11-21 12:08 Jmantysalo New Issue
2020-12-02 20:27 Jmantysalo Note Added: 60820
2021-01-13 16:42 cdorin Priority none => low
2021-01-13 16:42 cdorin Status new => confirmed
2021-02-19 16:31 ollehar Assigned To => ollehar
2021-02-19 16:31 ollehar Status confirmed => testing
2021-02-19 16:42 Jmantysalo Changeset attached => LimeSurvey master 622eee82
2021-02-19 16:42 guest Note Added: 62423
2021-02-19 16:53 ollehar Status testing => resolved
2021-02-19 16:53 ollehar Resolution open => fixed
2021-02-24 10:36 lime_release_bot Note Added: 62478
2021-02-24 10:36 lime_release_bot Status resolved => closed